#if defined(ARDUINO_AVR_PROMICRO16)
/* Led control output pin */
uint8_t const LedPin{9};
/* Led feedback pin */
uint8_t const FeedbackLedPin{13};
#elif defined(ARDUINO_AVR_UNO)
/* Led control output pin */
uint8_t const LedPin{6};
/* Led feedback pin */
uint8_t const FeedbackLedPin{13};
#else
#error "Undefined target platform"
#endif